Subject: Re: [BUG 2.41.0] t/lib-httpd/apache.conf incompatible with RHEL/CentOS 7

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 May 2023 16:23:33 -0700

Jeff King <[email-masked]> writes:

> Yeah, I agree what I wrote is a bit unclear. I think what I meant was
> "..recent enough that we'll still encounter older versions in the wild".
>
> But yours is even better, since you dug up the actual version it ships.
> Do you want to squash that into the commit message, or do you prefer a
> re-send?

Neither.  What you wrote was serviceable (and my comment was labeled
"nitpick" for that reason) even though it might have been a bit
unclear.

>> > +enable_cgipassauth () {
>> > +	# We are looking for 2.4.13 or more recent. Since we only support
>> > +	# 2.4 and up, no need to check for older major/minor.
>> > +	if test "$HTTPD_VERSION_MAJOR" = 2 &&
>> > +	   test "$HTTPD_VERSION_MINOR" = 4 &&
>> > +	   test "$(echo $HTTPD_VERSION | cut -d. -f3)" -lt 13
>> 
>> As HTTPD_VERSION comes from 
>> 
>> 	$LIB_HTTPD_PATH -v | sed -n 's|^Server version: Apache/\([0-9.]*\).*|p'
>> 
>> and parses a line like "Server version: Apache/2.4.6 (CentOS)",
>> unless somebody ships 2.4 without any digit after it, the above
>> should be safe ;-)
>
> Yep. I wondered about trying to be more paranoid here, but I think
> there's not much point until we see a real world example. The most
> likely outcome of a mis-parse is that we'd claim "this looks too old"
> and skip the t5536 tests, which seems OK (at least nobody gets an
> unexpected test failure, though it may mean that they simply gloss over
> the problem).

Yup, this will be in 'next' and will become part of -rc1.

Thanks.